Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meterware.httpunit
Class HttpException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.meterware.httpunit.HttpException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HttpInternalErrorException, HttpNotFoundException

public class HttpException
extends RuntimeException

This exception is thrown when an Http error (response code 4xx or 5xx) is detected.

Author:
  Seth Ladd, Russell Gold
See Also:
  Serialized Form

Constructor Summary
`protected` | `HttpException(int responseCode)`
`protected` | `HttpException(int responseCode, String responseMessage, URL baseURL)`

Method Summary
`String` | `getMessage()`
`int` | `getResponseCode()`
`String` | `getResponseMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpException

    protected HttpException(int responseCode)

### HttpException

    protected HttpException(int responseCode,
                            String responseMessage,
                            URL baseURL)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getResponseCode

    public int getResponseCode()

### getResponseMessage

    public String getResponseMessage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD